<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables</title>
</head>
<body>
	<h2 align="center">Welcome to the Tables Page</h2>

<!-- id is an attribute that we add to an element to show a unique identifier for that element. This can be used for navigating within a page, styling in CSS and even adding features with Javascript. -->

<!-- Semantic Div - semandic divs are divs with ids that appropriatey identifies or is definitive of the purpose of the content. -->
	<div id="navDiv">
		<a href="./index.html">Go to Index</a>&emsp;
		
		<a href="./form.html">Go to Forms</a>&emsp;
		
		<a href="../activity/contact.html">Go to Contact Page</a>
	</div>

	<h3 align="center">HTML Entities</h3>

	<p>
		<em>There are reserved in characters in HTML. (e.g. &lt; or &gt;)</em>
	</p>

<!-- Entities are always start with & and ends with ; -->
	<p>
		HTML Entities start with an ampersand (&) and ends in semicolon. (;)
	</p>

<!-- border attribute when added to a table will allows us to determine the thickness of the borders in a table. -->
	<table border="1">
		<!-- tr means table row. It allows us to create a row in a HTML table. -->
		<!-- thead is used to group header/heading content which will be lavels per column -->
		<thead>
			<tr>
				<!-- th means table header. It allows us to add cells which will be our headers. Text in this element will be bolded. -->
				<!-- colspan attribute allows to add how many columns a cell will occupy -->
				<!-- rowspan attribute allows to add how many row a cell will occupy.  -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>
		<tbody align="center">
			<!-- tbody tag is used to group the body content of an HTML table. This is where the bulk of td or table data will be put. -->
			<tr>
				<!-- td table data - These cells have default formatted text unlike th -->
				<td>&lt;</td>
				<td>lt</td>
				<td>Less Than</td>
			</tr>
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>Greater Than</td>
			</tr>
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>Peso Sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>Ampersand</td>
			</tr>
			<tr>
				<td>&quot;</td>
				<td>qout</td>
				<td>Double Quotation Mark</td>
			</tr>
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>Apostrophe (Single Qoutation Mark)</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>
		</tbody>
		<!-- tfoot used to group footer content in a HTML table. It allows us to add miscellaneous content related to the table. -->
		<tfoot>
			<tr>
				<th colspan="3">These are common HTML Entities. There are many more to be learned.
				</th>
			</tr>
		</tfoot>
	</table>

	<hr>

	<h3>My Product List</h3>

	<table border="1">

		<thead>
			<tr>
				<th>Name</th>
				<th>Price</th>
				<th>Description</th>
			</tr>
		</thead>

		<tbody>
			<tr>
				<td>Hat</td>
				<td>&#8369;100</td>
				<td>Hand-made by Igorots</td>
			</tr>
			<tr>
				<td>Belt</td>
				<td>&#8369;400</td>
				<td>Synthetic Leather</td>
			</tr>
			<tr>
				<td>Pants</td>
				<td>&#8369;900</td>
				<td>Made in Thailand</td>
			</tr>
			<tr>
				<td>Shirt</td>
				<td>&#8369;300</td>
				<td>Made in Taytay</td>
			</tr>
			<tr>
				<td>Shoes</td>
				<td>&#8369;999</td>
				<td>Shoes made from Recycled Plastics</td>
			</tr>
		</tbody>

	</table>




</body>
</html>

























